### Method

# GioUnix DesktopAppInfo list_actions

since: 2.38

#### Declaration [src]

    const gchar* const*
    g_desktop_app_info_list_actions (
      GDesktopAppInfo* info
    )

#### Description [src]

Returns the list of ‘additional application actions’ supported on the desktop file, as per the desktop file specification.

As per the specification, this is the list of actions that are explicitly listed in the `Actions` key of the `Desktop Entry` group.

Available since: 2.38

#### Return value

Type: An array of `utf8`

A list of strings, always non-`NULL`.

The array is `NULL`-terminated.
The returned data is owned by the instance.
Each element is a NUL terminated UTF-8 string.